Inhalte

# Funktion FileDateTime

Gibt eine Zeichenfolge zurück, die Datum und Uhrzeit der Erstellung oder letzten Änderung einer Datei enthält.

## Syntax:

    FileDateTime (Text As String)

## Parameter:

Text: Ein beliebiger Zeichenfolgenausdruck, der eine eindeutige Dateiangabe (ohne Platzhalterzeichen) enthält. Sie können auch die URL-Schreibweise verwenden.

Mit Hilfe dieser Funktion ermitteln Sie den genauen Zeitpunkt der Erstellung oder Modifikation einer Datei. Übergeben Sie den eindeutigen Dateinamen, und Sie erhalten Datum und Uhrzeit in einer Zeichenfolge im Format "TT.MM.JJJJ HH.MM.SS" zurück.

Um das Gebietsschema festlegen, das zur Steuerung der Formatierung von Zahlen, Datumsangaben und Währungen in LibreOffice Basic verwendet wird, wählen LibreOffice – Einstellungen Extras – Optionen… – Sprachen und Gebietsschemata – Allgemein. In Basic-Formatcodes wird der Dezimalpunkt (.) immer als Platzhalter für das in Ihrem Gebietsschema definierte Dezimaltrennzeichen verwendet und durch das entsprechende Zeichen ersetzt.

Dies gilt entsprechend für das Gebietsschema für Datums-, Uhrzeit- und Währungsformate. Der Basic-Format-Code wird entsprechend Ihrer Gebietsschema-Einstellung ausgewertet und angezeigt.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleFileDateTime
        MsgBox FileDateTime("C:\autoexec.bat")
    End Sub

Bitte unterstützen Sie uns!